local frame = CreateFrame("Frame", nil, UIParent);

function DoOnSpellCast(self, event, ...)

	local unitID, spell, rank, target = ...;

	local inInstance, instanceType = IsInInstance();
	

	if (spell == "Misdirection") then

		if IsInGroup() then
		
			if IsInRaid() then
				SendChatMessage("Casting " .. spell .. ".  Threat will be passed to " .. target .. ".", "RAID");
			else
				SendChatMessage("Casting " .. spell .. ".  Threat will be passed to " .. target .. ".", "PARTY");
			end
 		
		else
			SendChatMessage("Casting " .. spell .. ".  Threat will be passed to " .. target .. ".", "SAY");
		end
	end
end

frame:RegisterEvent("UNIT_SPELLCAST_SENT");

frame:SetScript("OnEvent", DoOnSpellCast);
